# -*- coding: utf-8 -*-

from datetime import datetime
from os.path import join
from os.path import expanduser
from yaml import dump

LABELS_GENERATED_FILE = join(expanduser('~'), 'LABELS_GENERATED')
LABELS_PRINTED_FILE = join(expanduser('~'), 'LABELS_PRINTED')


def now_string():
    return datetime.now().strftime('%Y-%m-%d %H:%M:%S.%f')


def save_label(label):
    if 'created' not in label:
        label['created'] = now_string()
    with open(LABELS_GENERATED_FILE, 'a') as yaml_file:
        yaml_file.write('- ' + dump(label, width=10000))
